/* MODAL */
.modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  justify-content: center;
  align-items: center;
}

.modal-overlay.active {
  display: flex;
}

.modal-content {
  background: rgba(0, 0, 0, 0.8);
  padding: 30px;
  border-radius: 12px;
  color: white;
  max-width: 400px;
  text-align: center;
  box-shadow: 0 0 15px black;
  position: relative;
}

.modal-content h2 {
  margin-bottom: 20px;
}

.modal-option {
  display: block;
  margin: 10px 0;
  background: var(--dark-2, #7fa92d);
  color: white;
  padding: 12px;
  border-radius: 2rem;
  text-decoration: none;
  transition: background 0.1s ease;
  font-family: 'Exo2', sans-serif;
}

.modal-option:hover {
  background: var(--dark-3, #b5e550);
}

.close-button {
  position: absolute;
  top: 10px;
  right: 14px;
  background: none;
  border: none;
  color: white;
  font-size: 1.5rem;
  cursor: pointer;
}

/* MODAL KONTAKT */
#contact-form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 20px;
  text-align: left;
}

#contact-form input,
#contact-form textarea {
  padding: 10px;
  border-radius: 8px;
  border: none;
  font-family: 'Exo2', sans-serif;
  font-size: 14px;
  width: 100%;
  box-sizing: border-box;
}

#contact-form input::placeholder,
#contact-form textarea::placeholder {
  color: #999;
}

#contact-form button {
  margin-top: 10px;
  border: none;
}